Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class PushContextImpl

    java.lang.Object
      org.richfaces.application.push.impl.PushContextImpl

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, org.richfaces.application.push.PushContext

    public class PushContextImpl

extends java.lang.Object
implements org.richfaces.application.push.PushContext, javax.faces.event.SystemEventListener

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.application.push.PushContext
`INSTANCE_KEY_NAME`

Constructor Summary
`PushContextImpl(java.lang.String pushHandlerUrl)`

Method Summary
`void` | `destroy()`
`java.lang.String` | `getPushHandlerUrl()`
`org.richfaces.application.push.SessionFactory` | `getSessionFactory()`
`org.richfaces.application.push.SessionManager` | `getSessionManager()`
`org.richfaces.application.push.TopicsContext` | `getTopicsContext()`
`void` | `init(javax.faces.context.FacesContext facesContext)`
`boolean` | `isListenerForSource(java.lang.Object source)`
`void` | `processEvent(javax.faces.event.SystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushContextImpl

    public PushContextImpl(java.lang.String pushHandlerUrl)

Method Detail

### init

    public void init(javax.faces.context.FacesContext facesContext)

  Specified by:
    `init` in interface `org.richfaces.application.push.PushContext`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.richfaces.application.push.PushContext`

### processEvent

    public void processEvent(javax.faces.event.SystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.SystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### isListenerForSource

    public boolean isListenerForSource(java.lang.Object source)

  Specified by:
    `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

### getTopicsContext

    public org.richfaces.application.push.TopicsContext getTopicsContext()

  Specified by:
    `getTopicsContext` in interface `org.richfaces.application.push.PushContext`

### getSessionFactory

    public org.richfaces.application.push.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.richfaces.application.push.PushContext`

### getSessionManager

    public org.richfaces.application.push.SessionManager getSessionManager()

  Specified by:
    `getSessionManager` in interface `org.richfaces.application.push.PushContext`

### getPushHandlerUrl

    public java.lang.String getPushHandlerUrl()

  Specified by:
    `getPushHandlerUrl` in interface `org.richfaces.application.push.PushContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.